summaryrefslogtreecommitdiffstats
path: root/appliance/update.sh.in
diff options
context:
space:
mode:
authorRichard Jones <rjones@trick.home.annexia.org>2009-06-13 10:48:16 +0100
committerRichard Jones <rjones@trick.home.annexia.org>2009-06-13 10:48:16 +0100
commit2e25c4255746b144932f84b7b6671d7d03f52278 (patch)
tree52a0a07df144cd6792e65c24ee27a441c02499b9 /appliance/update.sh.in
parentbf4eda4d89468b232070dbe0161848acaac1c04a (diff)
downloadlibguestfs-2e25c4255746b144932f84b7b6671d7d03f52278.tar.gz
libguestfs-2e25c4255746b144932f84b7b6671d7d03f52278.tar.xz
libguestfs-2e25c4255746b144932f84b7b6671d7d03f52278.zip
Rename (make|update)-initramfs.sh.in -> (make|update).sh.in
Diffstat (limited to 'appliance/update.sh.in')
-rwxr-xr-xappliance/update.sh.in36
1 files changed, 36 insertions, 0 deletions
diff --git a/appliance/update.sh.in b/appliance/update.sh.in
new file mode 100755
index 00000000..3b779f85
--- /dev/null
+++ b/appliance/update.sh.in
@@ -0,0 +1,36 @@
+#!/bin/bash -
+# @configure_input@
+# Copyright (C) 2009 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+# Update the daemon inside an existing initramfs. Avoids the
+# timeconsuming rebuild.
+
+unset CDPATH
+
+set -e
+
+cd @top_builddir@
+
+output=appliance/initramfs.@REPO@.@host_cpu@.img
+
+# Copy the daemon into the filesystem.
+@FEBOOTSTRAP_INSTALL@ initramfs daemon/guestfsd /sbin/guestfsd 0755 root.root
+
+# Generate final image.
+@FEBOOTSTRAP_TO_INITRAMFS@ initramfs > $output-t
+mv $output-t $output
+ls -lh $output